#include <stdio.h>

#define DIM 15

typedef struct {
    int n;
    char *a;
} data;

int main(){
    data *d = malloc(sizeof(data)*5);
    int i, l;
    char c, s[DIM];
    for(i=0; i<2; i++){
        printf("Ins stringa: ");
        //fgets(d[i].a, DIM, stdin);
        fgets(s, DIM, stdin);
        l=strlen(s);
        d[i].a=malloc(sizeof(char)*(l+1));
        sscanf(s, "%s", d[i].a);
        printf("Ins numero: ");
        scanf("%d", &d[i].n);
        scanf("%c",&c);
    }

    for(i=0; i<2; i++){
        printf("\"%s\" %d\n",d[i].a, d[i].n);
    }
    
}
